# List webhook endpoints Returns a list of all configured webhook endpoints for the merchant account. Endpoint: GET /webhooks Version: V5 Security: basicAuth ## Query parameters: - `limit` (integer) Limit the number of webhook endpoints returned. - `page` (string) Specify the page of webhook endpoints returned. ## Response 200 fields (application/json): - `count` (integer) Total number of webhook endpoint subscriptions Example: 3 - `page` (integer) Current page number Example: 1 - `limit` (integer) Number of results per page Example: 25 - `results` (array) Array of webhook endpoint objects. Each object represents one endpoint-topic subscription. If an endpoint is subscribed to multiple topics, it will appear multiple times in the array. - `results.id` (string) Unique identifier for the webhook endpoint Example: "whe_abc123def456" - `results.merchant_id` (string) The merchant ID associated with this webhook endpoint Example: "mer_xyz789" - `results.endpoint_url` (string) The HTTPS URL where webhook events will be sent Example: "https://example.com/webhooks/resolve" - `results.topic` (object) The event topic this endpoint is subscribed to - `results.topic.name` (string) The event topic name Example: "invoice.created" - `results.topic.description` (string) Human-readable description of the event topic Example: "Triggered when a new invoice record is created" - `results.created_at` (string) When this webhook endpoint subscription was created Example: "2021-05-20T09:23:53+00:00" - `results.updated_at` (string) When this webhook endpoint subscription was last updated Example: "2021-05-20T09:23:53+00:00" ## Response 401 fields (application/json): - `error` (object) - `error.message` (string) A short string, describing error details Example: "Invalid merchant credentials" - `error.type` (string) A short string, describing error type Enum: "authentication_error" ## Response 429 fields (application/json): - `error` (object) - `error.message` (string) A short string, describing error details Example: "Too many requests" - `error.type` (string) A short string, describing error type Enum: "rate_limit_error"